Bug 60842 - Bad: Nautilus crashes with segmentation fault : kernel errors in /var/log/messages
Bad: Nautilus crashes with segmentation fault : kernel errors in /var/log/mes...
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-07 15:33 EST by Roddy McColl
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-08 13:00:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roddy McColl 2002-03-07 15:33:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
/usr/bin/nautilus launched from command line crashes with segmentation fault.
/usr/bin/nautilus launched from /usr/share/gnome/default.session crashes.
Graphical user interface briefly appears then vanishes.
Screen focus cyclically moves from toolbar to other windows for several seconds.
/var/log/messages indicate multi-line kernel errors

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run /usr/bin/nautilus from the command prompt.
2. look at last 100 lines from /var/log/messages for kernel error messages. 

	

Actual Results:  Segmentation fault.


Expected Results:  Nautilus should have run normally.

Additional info:

What appears on the command line:

[roddy@linux ~]$ nautilus
Message: Successfully registered
`OAFIID:nautilus_factory:bd1e1862-92d7-4391-963e-37583f0daef3'
Message: Successfully registered `OAFIID:Bonobo_Moniker_std_Factory'
Segmentation fault
 
-----------------------------------------------------------

Contents of /var/log/messages

.Mar  7 14:21:50 linux kernel: Unable to handle kernel NULL pointer dereference
at virtual address 00000000
Mar  7 14:21:50 linux kernel:  printing eip:
Mar  7 14:21:50 linux kernel: e09da0a7
Mar  7 14:21:50 linux kernel: *pde = 00000000
Mar  7 14:21:50 linux kernel: Oops: 0000
Mar  7 14:21:50 linux kernel: CPU:    0
Mar  7 14:21:50 linux kernel: EIP:    0010:[<e09da0a7>]
Mar  7 14:21:50 linux kernel: EFLAGS: 00010216
Mar  7 14:21:50 linux kernel: eax: 00000000   ebx: 00000000   ecx: 000001ff  
edx: 00000000
Mar  7 14:21:50 linux kernel: esi: 00000000   edi: c3e7db9c   ebp: c3e7dfbc  
esp: c3e7db54
Mar  7 14:21:50 linux kernel: ds: 0018   es: 0018   ss: 0018
Mar  7 14:21:50 linux kernel: Process nautilus (pid: 32116, stackpage=c3e7d000)
Mar  7 14:21:50 linux kernel: Stack: 00000000 00000000 00000000 00000000
00270001 00000000 00000000 00000000 
Mar  7 14:21:50 linux kernel:        00000000 00000000 00000000 00000000
fffffff2 00007d74 7475616e 73756c69 
Mar  7 14:21:50 linux kernel:        00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000 
Mar  7 14:21:50 linux kernel: Call Trace: [add_timer_randomness+209/224]
[extract_entropy+784/896] [<e141c968>] [<f276903a>] [<e1227cc6>] 
Mar  7 14:21:50 linux kernel: Call Trace: [<c016c211>] [<c016c710>] [<e141c968>]
[<f276903a>] [<e1227cc6>] 
Mar  7 14:21:50 linux kernel:    [<e6b09452>] [<e4354a49>] [<e62787f8>]
[<f8fb63e8>] [<e7191fb4>] [activate_page+10/16] 
Mar  7 14:21:50 linux kernel:    [<e6b09452>] [<e4354a49>] [<e62787f8>]
[<f8fb63e8>] [<e7191fb4>] [<c012cb5a>] 
Mar  7 14:21:50 linux kernel:    [__find_get_page+62/80]
[filemap_nopage+186/1152] [unix_stream_recvmsg+768/912] [do_no_page+120/272]
[handle_mm_fault+158/224] [do_page_fault+0/1168] 
Mar  7 14:21:50 linux kernel:    [<c01272ce>] [<c012826a>] [<c01f9470>]
[<c0124ca8>] [<c0124dde>] [<c0114080>] 
Mar  7 14:21:50 linux kernel:    [do_page_fault+378/1168] [<e09e282e>]
[schedule+596/928] [system_call+51/56] 
Mar  7 14:21:50 linux kernel:    [<c01141fa>] [<e09e282e>] [<c0114cf4>]
[<c0106f0b>] 
Mar  7 14:21:50 linux kernel: 
Mar  7 14:21:50 linux kernel: Code: ac aa 84 c0 75 f7 f3 aa 83 ec 08 6a 00 8d 85
a8 fb ff ff 50 
Mar  7 14:21:53 linux kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Mar  7 14:21:53 linux kernel:  printing eip:
Mar  7 14:21:53 linux kernel: e09da0a7
Mar  7 14:21:53 linux kernel: *pde = 00000000
Mar  7 14:21:53 linux kernel: Oops: 0000
Mar  7 14:21:53 linux kernel: CPU:    0
Mar  7 14:21:53 linux kernel: EIP:    0010:[<e09da0a7>]
Mar  7 14:21:53 linux kernel: EFLAGS: 00010216
Mar  7 14:21:53 linux kernel: eax: 00000000   ebx: 00000000   ecx: 000001ff  
edx: 00000000
Mar  7 14:21:53 linux kernel: esi: 00000000   edi: d8883b9c   ebp: d8883fbc  
esp: d8883b54
Mar  7 14:21:53 linux kernel: ds: 0018   es: 0018   ss: 0018
Mar  7 14:21:53 linux kernel: Process nautilus (pid: 32165, stackpage=d8883000)
Mar  7 14:21:53 linux kernel: Stack: d8883b64 00000000 000001b6 00000000
00270001 00000420 3c87cbe1 0009c537 
Mar  7 14:21:53 linux kernel:        00000064 00000064 00000064 00000064
fffffff2 00007da5 7475616e 73756c69 
Mar  7 14:21:53 linux kernel:        00000000 00000000 6d6f682f 6f722f65
2f796464 7561582e 726f6874 00797469 
Mar  7 14:21:53 linux kernel: Call Trace: [handle_kbd_event+234/368]
[do_no_page+50/272] [keyboard_interrupt+15/32] [handle_IRQ_event+58/112]
[do_IRQ+104/176] 
Mar  7 14:21:53 linux kernel: Call Trace: [<c017d74a>] [<c0124c62>] [<c017d7df>]
[<c010822a>] [<c01083a8>] 
Mar  7 14:21:53 linux kernel:    [sock_def_readable+41/96]
[unix_stream_sendmsg+552/720] [sock_wfree+0/64] [unix_write_space+55/112]
[filemap_nopage+186/1152] [unix_stream_recvmsg+768/912] 
Mar  7 14:21:53 linux kernel:    [<c01bbc39>] [<c01f8e88>] [<c01bb310>]
[<c01f75d7>] [<c012826a>] [<c01f9470>] 
Mar  7 14:21:53 linux kernel:    [do_no_page+120/272] [handle_mm_fault+158/224]
[do_page_fault+0/1168] [do_page_fault+378/1168] [<e09e282e>] [schedule+596/928] 
Mar  7 14:21:53 linux kernel:    [<c0124ca8>] [<c0124dde>] [<c0114080>]
[<c01141fa>] [<e09e282e>] [<c0114cf4>] 
Mar  7 14:21:53 linux kernel:    [system_call+51/56] 
Mar  7 14:21:53 linux kernel:    [<c0106f0b>] 
Mar  7 14:21:53 linux kernel: 
Mar  7 14:21:54 linux kernel: Code: ac aa 84 c0 75 f7 f3 aa 83 ec 08 6a 00 8d 85
a8 fb ff ff 50 
Mar  7 14:21:56 linux kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Mar  7 14:21:56 linux kernel:  printing eip:
Mar  7 14:21:56 linux kernel: e09da0a7
Mar  7 14:21:56 linux kernel: *pde = 00000000
Mar  7 14:21:56 linux kernel: Oops: 0000
Mar  7 14:21:56 linux kernel: CPU:    0
Mar  7 14:21:56 linux kernel: EIP:    0010:[<e09da0a7>]
Mar  7 14:21:56 linux kernel: EFLAGS: 00010216
Mar 7 14:21:56 linux kernel: eax: 00000000   ebx: 00000000   ecx: 000001ff  
edx: 00000000
Mar  7 14:21:56 linux kernel: esi: 00000000   edi: d9dd9b9c   ebp: d9dd9fbc  
esp: d9dd9b54
Mar  7 14:21:56 linux kernel: ds: 0018   es: 0018   ss: 0018
Mar  7 14:21:56 linux kernel: Process nautilus (pid: 32255, stackpage=d9dd9000)
Mar  7 14:21:56 linux kernel: Stack: d9dd9b64 00000000 000001b6 00000000
00270001 00000420 3c87cbe4 0009e74f 
Mar  7 14:21:56 linux kernel:        00000064 00000064 00000064 00000064
fffffff2 00007dff 7475616e 73756c69 
Mar  7 14:21:56 linux kernel:        00000000 00000000 6d6f682f 6f722f65
2f796464 7561582e 726f6874 00797469 
Mar  7 14:21:56 linux kernel: Call Trace: [_wrapped_alloc_pages+110/608]
[__alloc_pages+15/160] [do_anonymous_page+54/240] [do_no_page+50/272]
[handle_mm_fault+101/224] 
Mar  7 14:21:56 linux kernel: Call Trace: [<c012f0ce>] [<c012f2cf>] [<c0124b76>]
[<c0124c62>] [<c0124da5>] 
Mar  7 14:21:56 linux kernel:    [sock_def_readable+41/96]
[unix_stream_sendmsg+552/720] [_wrapped_alloc_pages+110/608]
[filemap_nopage+186/1152] [do_no_page+120/272] [handle_mm_fault+158/224] 
Mar  7 14:21:56 linux kernel:    [<c01bbc39>] [<c01f8e88>] [<c012f0ce>]
[<c012826a>] [<c0124ca8>] [<c0124dde>] 
Mar  7 14:21:56 linux kernel:    [sock_sendmsg+108/144] [do_page_fault+0/1168]
[do_page_fault+378/1168] [free_shortage+13/48] [<e09e282e>] [schedule+596/928] 
Mar  7 14:21:56 linux kernel:    [<c01b908c>] [<c0114080>] [<c01141fa>]
[<c012e0ed>] [<e09e282e>] [<c0114cf4>] 
Mar  7 14:21:56 linux kernel:    [system_call+51/56] 
Mar  7 14:21:56 linux kernel:    [<c0106f0b>] 
Mar  7 14:21:56 linux kernel: 
Mar  7 14:21:56 linux kernel: Code: ac aa 84 c0 75 f7 f3 aa 83 ec 08 6a 00 8d 85
a8 fb ff ff 50 
Mar  7 14:21:58 linux kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Mar  7 14:21:58 linux kernel:  printing eip:
Mar  7 14:21:58 linux kernel: e09da0a7
Mar  7 14:21:58 linux kernel: *pde = 00000000
Mar  7 14:21:58 linux kernel: Oops: 0000
Mar  7 14:21:58 linux kernel: CPU:    0
Mar  7 14:21:58 linux kernel: EIP:    0010:[<e09da0a7>]
Mar  7 14:21:58 linux kernel: EFLAGS: 00010216
Mar  7 14:21:58 linux kernel: eax: 00000000   ebx: 00000000   ecx: 000001ff  
edx: 00000000
Mar  7 14:21:58 linux kernel: esi: 00000000   edi: c895fb9c   ebp: c895ffbc  
esp: c895fb54
Mar  7 14:21:58 linux kernel: ds: 0018   es: 0018   ss: 0018
Mar  7 14:21:58 linux kernel: Process nautilus (pid: 32265, stackpage=c895f000)
Mar  7 14:21:58 linux kernel: Stack: c895fb64 00000000 000001b6 00000000
00270001 00000420 3c87cbe6 000d5cfc 
Mar  7 14:21:58 linux kernel:        00000064 00000064 00000064 00000064
fffffff2 00007e09 7475616e 73756c69 
Mar  7 14:21:58 linux kernel:        00000000 00000000 6d6f682f 6f722f65
2f796464 7561582e 726f6874 00797469 
Mar  7 14:21:58 linux kernel: Call Trace: [_wrapped_alloc_pages+110/608]
[__alloc_pages+15/160] [do_anonymous_page+54/240] [do_no_page+50/272]
[handle_mm_fault+101/224] 
Mar  7 14:21:59 linux kernel: Call Trace: [<c012f0ce>] [<c012f2cf>] [<c0124b76>]
[<c0124c62>] [<c0124da5>] 
Mar  7 14:21:59 linux kernel:   
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-987560/96]
[<e09e282e>] [handle_IRQ_event+58/112] [sock_wfree+0/64]
[unix_write_space+55/112] [filemap_nopage+186/1152] 
Mar  7 14:21:59 linux kernel:    [<e083ee58>] [<e09e282e>] [<c010822a>]
[<c01bb310>] [<c01f75d7>] [<c012826a>] 
Mar  7 14:21:59 linux kernel:    [unix_stream_recvmsg+768/912]
[do_no_page+120/272] [handle_mm_fault+158/224] [do_page_fault+0/1168]
[do_page_fault+378/1168] [kfree_skbmem+11/96] 
Mar  7 14:21:59 linux kernel:    [<c01f9470>] [<c0124ca8>] [<c0124dde>]
[<c0114080>] [<c01141fa>] [<c01bc17b>] 
Mar  7 14:21:59 linux kernel:    [__kfree_skb+282/288] [net_rx_action+454/640]
[handle_IRQ_event+58/112] [system_call+51/56] 
Mar  7 14:21:59 linux kernel:    [<c01bc2ea>] [<c01c02f6>] [<c010822a>]
[<c0106f0b>] 
Mar  7 14:21:59 linux kernel: 
Mar  7 14:21:59 linux kernel: Code: ac aa 84 c0 75 f7 f3 aa 83 ec 08 6a 00 8d 85
a8 fb ff ff 50 
Mar  7 14:22:01 linux kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Mar  7 14:22:01 linux kernel:  printing eip:
Mar  7 14:22:01 linux kernel: e09da0a7
Mar  7 14:22:01 linux kernel: *pde = 00000000
Mar  7 14:22:01 linux kernel: Oops: 0000
Mar  7 14:22:01 linux kernel: CPU:    0
Mar  7 14:22:01 linux kernel: EIP:    0010:[<e09da0a7>]
Mar  7 14:22:01 linux kernel: EFLAGS: 00010216
Mar  7 14:22:01 linux kernel: eax: 00000000   ebx: 00000000   ecx: 000001ff  
edx: 00000000
Mar  7 14:22:01 linux kernel: esi: 00000000   edi: d90f9b9c   ebp: d90f9fbc  
esp: d90f9b54
Mar  7 14:22:01 linux kernel: ds: 0018   es: 0018   ss: 0018
Mar  7 14:22:01 linux kernel: Process nautilus (pid: 32276, stackpage=d90f9000)
Mar  7 14:22:01 linux kernel: Stack: d90f9b64 00000000 000001b6 00000000
00270001 00000420 3c87cbe9 000c8760 
Mar  7 14:22:01 linux kernel:        00000064 00000064 00000064 00000064
fffffff2 00007e14 7475616e 73756c69 
Mar  7 14:22:01 linux kernel:        00000000 00000000 6d6f682f 6f722f65
2f796464 7561582e 726f6874 00797469 
Mar  7 14:22:01 linux kernel: Call Trace: [_wrapped_alloc_pages+110/608]
[__alloc_pages+15/160] [do_anonymous_page+54/240] [do_no_page+50/272]
[handle_mm_fault+101/224] 
Mar  7 14:22:01 linux kernel: Call Trace: [<c012f0ce>] [<c012f2cf>] [<c0124b76>]
[<c0124c62>] [<c0124da5>] 
Mar  7 14:22:01 linux kernel:   
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-987560/96]
[sock_def_readable+41/96] [unix_stream_sendmsg+552/720] [sock_wfree+0/64]
[unix_write_space+55/112] [filemap_nopage+186/1152] 
Mar  7 14:22:02 linux kernel:    [<e083ee58>] [<c01bbc39>] [<c01f8e88>]
[<c01bb310>] [<c01f75d7>] [<c012826a>] 
Mar  7 14:22:02 linux kernel:    [unix_stream_recvmsg+768/912]
[do_no_page+120/272] [handle_mm_fault+158/224] [__kfree_skb+282/288]
[snap_rcv+148/160] [do_page_fault+0/1168] 
Mar  7 14:22:02 linux kernel:    [<c01f9470>] [<c0124ca8>] [<c0124dde>]
[<c01bc2ea>] [<c01c6da4>] [<c0114080>] 
Mar  7 14:22:02 linux kernel:    [do_page_fault+378/1168] [free_shortage+13/48]
[<e09e282e>] [schedule+596/928] [system_call+51/56] 
Mar  7 14:22:02 linux kernel:    [<c01141fa>] [<c012e0ed>] [<e09e282e>]
[<c0114cf4>] [<c0106f0b>] 
Mar  7 14:22:02 linux kernel: 
Mar  7 14:22:02 linux kernel: Code: ac aa 84 c0 75 f7 f3 aa 83 ec 08 6a 00 8d 85
a8 fb ff ff 50 
Mar  7 14:22:04 linux kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Mar  7 14:22:04 linux kernel:  printing eip:
Mar  7 14:22:04 linux kernel: e09da0a7
Mar  7 14:22:04 linux kernel: *pde = 00000000
Mar  7 14:22:04 linux kernel: Oops: 0000
Mar  7 14:22:04 linux kernel: CPU:    0
Mar  7 14:22:04 linux kernel: EIP:    0010:[<e09da0a7>]
Mar  7 14:22:04 linux kernel: EFLAGS: 00010216
Mar  7 14:22:04 linux kernel: eax: 00000000   ebx: 00000000   ecx: 000001ff  
edx: 00000000
Mar  7 14:22:04 linux kernel: esi: 00000000   edi: da023b9c   ebp: da023fbc  
esp: da023b54
Mar  7 14:22:04 linux kernel: ds: 0018   es: 0018   ss: 0018
Mar  7 14:22:04 linux kernel: Process nautilus (pid: 32286, stackpage=da023000)
Mar  7 14:22:04 linux kernel: Stack: da023b64 00000000 000001b6 00000000
00270001 00000420 3c87cbec 000ba6d3 
Mar  7 14:22:04 linux kernel:        00000064 00000064 00000064 00000064
fffffff2 00007e1e 7475616e 73756c69 
Mar  7 14:22:04 linux kernel:        00000000 00000000 6d6f682f 6f722f65
2f796464 7561582e 726f6874 00797469 
Mar  7 14:22:04 linux kernel: Call Trace: [_wrapped_alloc_pages+110/608]
[__alloc_pages+15/160] [do_anonymous_page+54/240] [do_no_page+50/272]
[handle_mm_fault+101/224] 
Mar  7 14:22:04 linux kernel: Call Trace: [<c012f0ce>] [<c012f2cf>] [<c0124b76>]
[<c0124c62>] [<c0124da5>] 
Mar  7 14:22:04 linux kernel:   
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-987560/96]
[<e09e282e>] [handle_IRQ_event+58/112] [filemap_nopage+186/1152]
[do_no_page+120/272] [handle_mm_fault+158/224] 
Mar  7 14:22:04 linux kernel:    [<e083ee58>] [<e09e282e>] [<c010822a>]
[<c012826a>] [<c0124ca8>] [<c0124dde>] 
Mar  7 14:22:05 linux kernel:    [do_page_fault+0/1168] [do_page_fault+378/1168]
[do_pollfd+89/128] [free_shortage+13/48] [total_free_shortage+18/112]
[schedule+596/928] 
Mar  7 14:22:05 linux kernel:    [<c0114080>] [<c01141fa>] [<c0144689>]
[<c012e0ed>] [<c012e122>] [<c0114cf4>] 
Mar  7 14:22:05 linux kernel:    [system_call+51/56] 
Mar  7 14:22:05 linux kernel:    [<c0106f0b>] 
Mar  7 14:22:05 linux kernel: 
Mar  7 14:22:05 linux kernel: Code: ac aa 84 c0 75 f7 f3 aa 83 ec 08 6a 00 8d 85
a8 fb ff ff 50 
Mar  7 14:22:07 linux kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Mar  7 14:22:07 linux kernel:  printing eip:
Mar  7 14:22:07 linux kernel: e09da0a7
Mar  7 14:22:07 linux kernel: *pde = 00000000
Mar  7 14:22:07 linux kernel: Oops: 0000
Mar  7 14:22:07 linux kernel: CPU:    0
Mar  7 14:22:07 linux kernel: EIP:    0010:[<e09da0a7>]
Mar  7 14:22:07 linux kernel: EFLAGS: 00010216
Mar  7 14:22:07 linux kernel: eax: 00000000   ebx: 00000000   ecx: 000001ff  
edx: 00000000
Mar  7 14:22:07 linux kernel: esi: 00000000   edi: c4583b9c   ebp: c4583fbc  
esp: c4583b54
Mar  7 14:22:07 linux kernel: ds: 0018   es: 0018   ss: 0018
Mar  7 14:22:07 linux kernel: Process nautilus (pid: 32297, stackpage=c4583000)
Mar  7 14:22:07 linux kernel: Stack: c4583b64 00000000 000001b6 00000000
00270001 00000420 3c87cbef 000b24e4 
Mar  7 14:22:07 linux kernel:        00000064 00000064 00000064 00000064
fffffff2 00007e29 7475616e 73756c69 
Mar  7 14:22:07 linux kernel:        00000000 00000000 6d6f682f 6f722f65
2f796464 7561582e 726f6874 00797469 
Mar  7 14:22:07 linux kernel: Call Trace:
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-1214712/96]
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-1214101/96]
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-1213408/96]
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-1139456/96]
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-1225649/96] 
Mar  7 14:22:08 linux kernel: Call Trace: [<e0807708>] [<e080796b>] [<e0807c20>]
[<e0819d00>] [<e0804c4f>] 
Mar  7 14:22:08 linux kernel:   
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-1216899/96]
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-1081502/96]
[sock_def_readable+41/96] [unix_stream_sendmsg+552/720] [sock_wfree+0/64]
[unix_write_space+55/112] 
Mar  7 14:22:08 linux kernel:    [<e0806e7d>] [<e0827f62>] [<c01bbc39>]
[<c01f8e88>] [<c01bb310>] [<c01f75d7>] 
Mar  7 14:22:08 linux kernel:    [filemap_nopage+186/1152]
[sock_def_readable+41/96] [do_no_page+120/272] [handle_mm_fault+158/224]
[do_page_fault+0/1168] [do_page_fault+378/1168] 
Mar  7 14:22:08 linux kernel:    [<c012826a>] [<c01bbc39>] [<c0124ca8>]
[<c0124dde>] [<c0114080>] [<c01141fa>] 
Mar  7 14:22:08 linux kernel:    [handle_scancode+654/672]
[handle_kbd_event+304/368] [schedule+596/928] [system_call+51/56] 
Mar  7 14:22:08 linux kernel:    [<c017c7be>] [<c017d790>] [<c0114cf4>]
[<c0106f0b>] 
Mar  7 14:22:08 linux kernel: 
Mar  7 14:22:08 linux kernel: Code: ac aa 84 c0 75 f7 f3 aa 83 ec 08 6a 00 8d 85
a8 fb ff ff 50 
Mar  7 14:22:10 linux kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Mar  7 14:22:10 linux kernel:  printing eip:
Mar  7 14:22:10 linux kernel: e09da0a7
Mar  7 14:22:10 linux kernel: *pde = 00000000
Mar  7 14:22:10 linux kernel: Oops: 0000
Mar  7 14:22:10 linux kernel: CPU:    0
Mar  7 14:22:10 linux kernel: EIP:    0010:[<e09da0a7>]
Mar  7 14:22:10 linux kernel: EFLAGS: 00010216
Mar  7 14:22:10 linux kernel: eax: 00000000   ebx: 00000000   ecx: 000001ff  
edx:00000000
Mar  7 14:22:10 linux kernel: esi: 00000000   edi: ccb09b9c   ebp: ccb09fbc  
esp: ccb09b54
Mar  7 14:22:10 linux kernel: ds: 0018   es: 0018   ss: 0018
Mar  7 14:22:10 linux kernel: Process nautilus (pid: 32308, stackpage=ccb09000)
Mar  7 14:22:10 linux kernel: Stack: ccb09b64 00000000 000001b6 00000000
00270001 00000420 3c87cbf2 000a9a34 
Mar  7 14:22:10 linux kernel:        00000064 00000064 00000064 00000064
fffffff2 00007e34 7475616e 73756c69 
Mar  7 14:22:10 linux kernel:        00000000 00000000 6d6f682f 6f722f65
2f796464 7561582e 726f6874 00797469 
Mar  7 14:22:10 linux kernel: Call Trace: [_wrapped_alloc_pages+110/608]
[__alloc_pages+15/160] [do_anonymous_page+54/240] [do_no_page+50/272]
[<e09e282e>] 
Mar  7 14:22:10 linux kernel: Call Trace: [<c012f0ce>] [<c012f2cf>] [<c0124b76>]
[<c0124c62>] [<e09e282e>] 
Mar  7 14:22:10 linux kernel:    [handle_IRQ_event+58/112] [do_IRQ+104/176]
[do_IRQ+140/176] [sock_wfree+0/64] [unix_write_space+55/112]
[filemap_nopage+186/1152] 
Mar  7 14:22:10 linux kernel:    [<c010822a>] [<c01083a8>] [<c01083cc>]
[<c01bb310>] [<c01f75d7>] [<c012826a>] 
Mar  7 14:22:10 linux kernel:    [unix_stream_recvmsg+768/912]
[do_no_page+120/272] [handle_mm_fault+158/224] [do_page_fault+0/1168]
[do_page_fault+378/1168] [free_shortage+13/48] 
Mar  7 14:22:10 linux kernel:    [<c01f9470>] [<c0124ca8>] [<c0124dde>]
[<c0114080>] [<c01141fa>] [<c012e0ed>] 
Mar  7 14:22:10 linux kernel:    [<e09e282e>] [schedule+596/928]
[system_call+51/56] 
Mar  7 14:22:10 linux kernel:    [<e09e282e>] [<c0114cf4>] [<c0106f0b>] 
Mar  7 14:22:11 linux kernel: 
Mar  7 14:22:11 linux kernel: Code: ac aa 84 c0 75 f7 f3 aa 83 ec 08 6a 00 8d 85
a8 fb ff ff 50 
Mar  7 14:22:13 linux kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Mar  7 14:22:13 linux kernel:  printing eip:
Mar  7 14:22:13 linux kernel: e09da0a7
Mar  7 14:22:13 linux kernel: *pde = 00000000
Mar  7 14:22:13 linux kernel: Oops: 0000
Mar  7 14:22:13 linux kernel: CPU:    0
Mar  7 14:22:13 linux kernel: EIP:    0010:[<e09da0a7>]
Mar  7 14:22:13 linux kernel: EFLAGS: 00010216
Mar  7 14:22:13 linux kernel: eax: 00000000   ebx: 00000000   ecx: 000001ff  
edx: 00000000
Mar  7 14:22:13 linux kernel: esi: 00000000   edi: c3395b9c   ebp: c3395fbc  
esp: c3395b54
Mar  7 14:22:13 linux kernel: ds: 0018   es: 0018   ss: 0018
Mar  7 14:22:13 linux kernel: Process nautilus (pid: 32319, stackpage=c3395000)
Mar  7 14:22:13 linux kernel: Stack: c3395b64 00000000 000001b6 00000000
00270001 00000420 3c87cbf5 000a242a 
Mar  7 14:22:13 linux kernel:        00000064 00000064 00000064 00000064
fffffff2 00007e3f 7475616e 73756c69 
Mar  7 14:22:13 linux kernel:        00000000 00000000 6d6f682f 6f722f65
2f796464 7561582e 726f6874 00797469 
Mar  7 14:22:13 linux kernel: Call Trace: [_wrapped_alloc_pages+110/608]
[__alloc_pages+15/160] [do_anonymous_page+54/240] [do_no_page+50/272]
[handle_mm_fault+101/224] 
Mar  714:22:13 linux kernel: Call Trace: [<c012f0ce>] [<c012f2cf>] [<c0124b76>]
[<c0124c62>] [<c0124da5>] 
Mar  7 14:22:13 linux kernel:   
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-987560/96]
[sock_def_readable+41/96] [unix_stream_sendmsg+552/720] [sock_wfree+0/64]
[unix_write_space+55/112] [filemap_nopage+186/1152] 
Mar  7 14:22:13 linux kernel:    [<e083ee58>] [<c01bbc39>] [<c01f8e88>]
[<c01bb310>] [<c01f75d7>] [<c012826a>] 
Mar  7 14:22:13 linux kernel:    [unix_stream_recvmsg+768/912]
[do_no_page+120/272] [handle_mm_fault+158/224] [do_page_fault+0/1168]
[do_page_fault+378/1168] [free_shortage+13/48] 
Mar  7 14:22:13 linux kernel:    [<c01f9470>] [<c0124ca8>] [<c0124dde>]
[<c0114080>] [<c01141fa>] [<c012e0ed>] 
Mar  7 14:22:13 linux kernel:    [<e09e282e>] [schedule+596/928]
[system_call+51/56] 
Mar  7 14:22:13 linux kernel:    [<e09e282e>] [<c0114cf4>] [<c0106f0b>] 
Mar  7 14:22:13 linux kernel: 
Mar  7 14:22:13 linux kernel: Code: ac aa 84 c0 75 f7 f3 aa 83 ec 08 6a 00 8d 85
a8 fb ff ff 50 
Mar  7 14:22:16 linux kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Mar  7 14:22:16 linux kernel:  printing eip:
Mar  7 14:22:16 linux kernel: e09da0a7
Mar  7 14:22:16 linux kernel: *pde = 00000000
Mar  7 14:22:16 linux kernel: Oops: 0000
Mar  7 14:22:16 linux kernel: CPU:    0
Mar  7 14:22:16 linux kernel: EIP:    0010:[<e09da0a7>]
Mar  7 14:22:16 linux kernel: EFLAGS: 00010216
Mar  7 14:22:16 linux kernel: eax: 00000000   ebx: 00000000   ecx: 000001ff  
edx: 00000000
Mar  7 14:22:16 linux kernel: esi: 00000000   edi: dde79b9c   ebp: dde79fbc  
esp: dde79b54
Mar  7 14:22:16 linux kernel: ds: 0018   es: 0018   ss: 0018
Mar  7 14:22:16 linux kernel: Process nautilus (pid: 32330, stackpage=dde79000)
Mar  7 14:22:16 linux kernel: Stack: dde79b64 00000000 000001b6 00000000
00270001 00000420 3c87cbf8 000a301e 
Mar  7 14:22:16 linux kernel:        00000064 00000064 00000064 00000064
fffffff2 00007e4a 7475616e 73756c69 
Mar  7 14:22:16 linux kernel:        00000000 00000000 6d6f682f 6f722f65
2f796464 7561582e 726f6874 00797469 
Mar  7 14:22:16 linux kernel: Call Trace: [_wrapped_alloc_pages+110/608]
[__alloc_pages+15/160] [do_anonymous_page+54/240] [do_no_page+50/272]
[handle_mm_fault+101/224] 
Mar  7 14:22:16 linux kernel: Call Trace: [<c012f0ce>] [<c012f2cf>] [<c0124b76>]
[<c0124c62>] [<c0124da5>] 
Mar  7 14:22:16 linux kernel:   
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-987560/96]
[sock_def_readable+41/96] [unix_stream_sendmsg+552/720] [sock_wfree+0/64]
[unix_write_space+55/112] [filemap_nopage+186/1152] 
Mar  7 14:22:16 linux kernel:    [<e083ee58>] [<c01bbc39>] [<c01f8e88>]
[<c01bb310>] [<c01f75d7>] [<c012826a>] 
Mar  7 14:22:16 linux kernel:    [sock_def_readable+41/96] [do_no_page+120/272]
[handle_mm_fault+158/224] [sock_sendmsg+108/144] [do_page_fault+0/1168]
[do_page_fault+378/1168] 
Mar  7 14:22:16 linux kernel:  [<c01bbc39>] [<c0124ca8>] [<c0124dde>]
[<c01b908c>] [<c0114080>] [<c01141fa>] 
Mar  7 14:22:16 linux kernel:    [free_shortage+13/48] [<e09e282e>]
[schedule+596/928] [system_call+51/56] 
Mar  7 14:22:16 linux kernel:    [<c012e0ed>] [<e09e282e>] [<c0114cf4>]
[<c0106f0b>] 
Mar  7 14:22:17 linux kernel: 
Mar  7 14:22:17 linux kernel: Code: ac aa 84 c0 75 f7 f3 aa 83 ec 08 6a 00 8d 85
a8 fb ff ff 50 
Mar  7 14:22:19 linux kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Mar  7 14:22:19 linux kernel:  printing eip:
Mar  7 14:22:19 linux kernel: e09da0a7
Mar  7 14:22:19 linux kernel: *pde = 00000000
Mar  7 14:22:19 linux kernel: Oops: 0000
Mar  7 14:22:19 linux kernel: CPU:    0
Mar  7 14:22:19 linux kernel: EIP:    0010:[<e09da0a7>]
Mar  7 14:22:19 linux kernel: EFLAGS: 00010216
Mar  7 14:22:19 linux kernel: eax: 00000000   ebx: 00000000   ecx: 000001ff  
edx: 00000000
Mar  7 14:22:19 linux kernel: esi: 00000000   edi: db0c1b9c   ebp: db0c1fbc  
esp: db0c1b54
Mar  7 14:22:19 linux kernel: ds: 0018   es: 0018   ss: 0018
Mar  7 14:22:19 linux kernel: Process nautilus (pid: 32341, stackpage=db0c1000)
Mar  7 14:22:19 linux kernel: Stack: db0c1b64 00000000 000001b6 00000000
00270001 00000420 3c87cbfb 00098514 
Mar  7 14:22:19 linux kernel:        00000064 00000064 00000064 00000064
fffffff2 00007e55 7475616e 73756c69 
Mar  7 14:22:19 linux kernel:        00000000 00000000 6d6f682f 6f722f65
2f796464 7561582e 726f6874 00797469 
Mar  7 14:22:19 linux kernel: Call Trace: [_wrapped_alloc_pages+110/608]
[__alloc_pages+15/160] [do_anonymous_page+54/240] [do_no_page+50/272]
[handle_mm_fault+101/224] 
Mar  7 14:22:19 linux kernel: Call Trace: [<c012f0ce>] [<c012f2cf>] [<c0124b76>]
[<c0124c62>] [<c0124da5>] 
Mar  7 14:22:19 linux kernel:   
[3c59x:__insmod_3c59x_O/lib/modules/2.4.7-10/kernel/drivers/net/3c+-987560/96]
[sock_def_readable+41/96] [unix_stream_sendmsg+552/720] [sock_wfree+0/64]
[unix_write_space+55/112] [filemap_nopage+186/1152] 
Mar  7 14:22:19 linux kernel:    [<e083ee58>] [<c01bbc39>] [<c01f8e88>]
[<c01bb310>] [<c01f75d7>] [<c012826a>] 
Mar  7 14:22:19 linux kernel:    [unix_stream_recvmsg+768/912]
[do_no_page+120/272] [handle_mm_fault+158/224] [do_page_fault+0/1168]
[do_page_fault+378/1168] [free_shortage+13/48] 
Mar  7 14:22:19 linux kernel:    [<c01f9470>] [<c0124ca8>] [<c0124dde>]
[<c0114080>] [<c01141fa>] [<c012e0ed>] 
Mar  7 14:22:19 linux kernel:    [<e09e282e>] [schedule+596/928]
[system_call+51/56] 
Mar  7 14:22:19 linux kernel:    [<e09e282e>] [<c0114cf4>] [<c0106f0b>] 
Mar  7 14:22:19 linux kernel: 
Mar  7 14:22:19 linux kernel: Code: ac aa 84 c0 75 f7 f3 aa 83 ec 08 6a 00 8d 85
a8 fb ff ff 50
Comment 1 Arjan van de Ven 2002-03-08 08:40:03 EST
Which kernel version is this ? 2.4.7-10 or the erratum version ?
Comment 2 Roddy McColl 2002-03-08 13:00:04 EST
uname -rv returns

2.4.7-10 #1 Thu Sep 6 17:27:27 EDT 2001


Note You need to log in before you can comment on or make changes to this bug.